Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class SkypeKeyManager

    java.lang.Object
      javax.net.ssl.X509ExtendedKeyManager
          com.skype.ipc.SkypeKeyManager

All Implemented Interfaces:
  javax.net.ssl.KeyManager, javax.net.ssl.X509KeyManager

    public class SkypeKeyManager

extends javax.net.ssl.X509ExtendedKeyManager

Constructor Summary
`SkypeKeyManager(byte[] key, byte[] cert)`
`SkypeKeyManager(java.lang.String key, java.lang.String cert)`

Method Summary
`java.lang.String` | `chooseClientAlias(java.lang.String[] strings, java.security.Principal[] principals, java.net.Socket socket)`
`java.lang.String` | `chooseServerAlias(java.lang.String s, java.security.Principal[] principals, java.net.Socket socket)`
`java.security.cert.X509Certificate[]` | `getCertificateChain(java.lang.String s)`
`java.lang.String[]` | `getClientAliases(java.lang.String s, java.security.Principal[] principals)`
`java.security.PrivateKey` | `getPrivateKey(java.lang.String s)`
`java.lang.String[]` | `getServerAliases(java.lang.String s, java.security.Principal[] principals)`

Methods inherited from class javax.net.ssl.X509ExtendedKeyManager
`chooseEngineClientAlias, chooseEngineServerAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkypeKeyManager

    public SkypeKeyManager(java.lang.String key,
                           java.lang.String cert)
                    throws java.io.IOException,
                           java.security.GeneralSecurityException

Throws:
  `java.io.IOException`
  `java.security.GeneralSecurityException`

### SkypeKeyManager

    public SkypeKeyManager(byte[] key,
                           byte[] cert)
                    throws java.security.GeneralSecurityException

Throws:
  `java.security.GeneralSecurityException`

Method Detail

### getClientAliases

    public java.lang.String[] getClientAliases(java.lang.String s,
                                               java.security.Principal[] principals)

### chooseClientAlias

    public java.lang.String chooseClientAlias(java.lang.String[] strings,
                                              java.security.Principal[] principals,
                                              java.net.Socket socket)

### getServerAliases

    public java.lang.String[] getServerAliases(java.lang.String s,
                                               java.security.Principal[] principals)

### chooseServerAlias

    public java.lang.String chooseServerAlias(java.lang.String s,
                                              java.security.Principal[] principals,
                                              java.net.Socket socket)

### getCertificateChain

    public java.security.cert.X509Certificate[] getCertificateChain(java.lang.String s)

### getPrivateKey

    public java.security.PrivateKey getPrivateKey(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.